-- Customer specific once-script ARBO#27221.
-- update 365 naar arboned voor kenmerken, prs email adres, eigen tabellen en vertallingen.
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xarbo#27221.lst
SET DEFINE OFF

UPDATE   prs_perslid
   SET   prs_perslid_email =
            REPLACE (prs_perslid_email, '@365.nl', '@arboned.nl')
 WHERE   prs_perslid_email LIKE '%@365.nl'
  and    prs_perslid_verwijder is null;
  
UPDATE   prs_bedrijf
   SET   prs_bedrijf_email =
            REPLACE (prs_bedrijf_email, '@365.nl', '@arboned.nl')
 WHERE   prs_bedrijf_email LIKE '%@365.nl';
 
UPDATE   prs_bedrijf
   SET   prs_bedrijf_order_adres =
            REPLACE (prs_bedrijf_order_adres, '@365.nl', '@arboned.nl')
 WHERE   prs_bedrijf_order_adres LIKE '%@365.nl';
 
UPDATE   prs_bedrijf
   SET   prs_bedrijf_mldorder_adres =
            REPLACE (prs_bedrijf_mldorder_adres, '@365.nl', '@arboned.nl')
 WHERE   prs_bedrijf_mldorder_adres LIKE '%@365.nl';    

UPDATE   alg_kenmerk
   SET   alg_kenmerk_omschrijving =
            REPLACE (alg_kenmerk_omschrijving, '365', 'ArboNed')
 WHERE   alg_kenmerk_omschrijving LIKE '%365%';

UPDATE   mld_srtkenmerk
   SET   mld_srtkenmerk_omschrijving =
            REPLACE (mld_srtkenmerk_omschrijving, '365', 'ArboNed')
 WHERE   mld_srtkenmerk_omschrijving LIKE '%365%';

UPDATE   bes_kenmerk
   SET   bes_kenmerk_default =
            REPLACE (bes_kenmerk_default, '365', 'ArboNed')
 WHERE   bes_kenmerk_default LIKE '%365%';

UPDATE   fac_usrdata
   SET   fac_usrdata_omschr =
            REPLACE (fac_usrdata_omschr, '365', 'ArboNed')
 WHERE   fac_usrdata_omschr LIKE '%365%';

UPDATE   fac_usrdata
   SET   fac_usrdata_code =
            REPLACE (fac_usrdata_code, '365', 'ArboNed')
 WHERE   fac_usrdata_code LIKE '%365%';

UPDATE   fac_locale_xsl
   SET   fac_locale_xsl_cust =
            REPLACE (fac_locale_xsl_cust, '365', 'arboned')
 WHERE   fac_locale_xsl_cust LIKE '%365%';
 
UPDATE   prs_bedrijf
   SET   prs_bedrijf_naam = 'ArboNed'
 WHERE   prs_bedrijf_naam = '365'; 
 
UPDATE   res_ruimte
   SET   res_ruimte_omschrijving =
            REPLACE (res_ruimte_omschrijving, '365', 'arboned')
 WHERE   res_ruimte_omschrijving LIKE '%365%'
         AND LENGTH (res_ruimte_omschrijving) < 252; 
         
-- te groot om auto update te doen, handmatig aanpassen
SELECT   res_ruimte_key, res_ruimte_nr
  FROM   res_ruimte
 WHERE   res_ruimte_omschrijving LIKE '%365%'
         AND LENGTH (res_ruimte_omschrijving) > 251;         

COMMIT;

SPOOL OFF

